
def zip(*iterables):
    "zip(*iterables) -> zip object"
    "Create an iterator that aggregates elements from each of the iterables."
    "The iterator returns tuples containing one element from each of the iterables."
    "The iterator stops when the shortest iterable is exhausted."
    iterator = iter(iterables)
    for iterable in iterables:
        iterator = zip(*[iterator, iterable])
    return iterator

